<section layout="radio structure" class="rsl__container">
	<ul class="rsl__menu">
		<li class="rsl__menu-option selected">
			<ion-icon class="rsl__icon" name="globe-outline"></ion-icon>
			All
		</li>
		<li class="rsl__menu-option">
			<ion-icon class="rsl__icon" name="bookmark-outline"></ion-icon>
			My
		</li>
		<li class="rsl__menu-option">
			<ion-icon class="rsl__icon" name="settings-outline"></ion-icon>
			Prefs	
		</li>
	</ul>

	<div class="rsl__player">
		<audio class="rsl__player-audio">
			<source { src } type="audio/mp3" /> 	
		</audio>
		<button class="rsl__btn">
			<ion-icon class="rsl__icon" name="play-outline"></ion-icon>
			PLAY
		</button>
		<button class="rsl__btn">
			<ion-icon class="rsl__icon" name="pause-outline"></ion-icon>
			PAUSE
		</button>
		<span class="rsl__player-radio">
			{ radio }
		</span>
	</div>

	<svelte:component
					this={ secction } { ...props }
					on:search={ handleSearch } />
</section>

<script>
	import { onMount } from 'svelte';
	import { doIndexRadios } from './store';
  import { stations } from '../../store';

	let secction = null;
	$: props = { stations: $stations };
	let radio = 'No station selected';
	let src = null;
	const modStations = () => import('../radios/views/Stations.svelte');
	const modMyStations = () => import('../radios/views/Favorites.svelte');
	const modPreferences = () => import('../radios/views/Preferences.svelte');

	onMount(async () => {
		const module = await modStations();
		secction = module.default;
	});

	function handleSearch(ev) {
		doIndexRadios(ev.detail.searchValue);
	}
</script>

<style lang="scss">
@import '../../styles/base/_helpers.scss';
@import '../../styles/base/_mq.scss';
.rsl__container {
	padding: .5rem;
	width: 100%;
	@include landscape() {
		@include flex(row);
	}
	@include portrait() {
		@include flex(column);
	}
}
.rsl__menu {
	list-style-type: none;
	@include portrait() {
		@include mobile() {
			@include flex(row, space-around);
			width: 100%;
		}
	}
	@include landscape() {
		@include flex(column, flex-start, $shrink: 0);
		width: 10%;
		max-width: 100px;
		min-width: 75px;
		height: 100%;
	}
	margin: 0;
	padding: 0;
}

.rsl__menu-option {
	margin-bottom: 1.2rem;
	padding-bottom: .5rem;
	@include mobile() {
		cursor: none;
	}
	cursor: pointer;
	&.selected {
		border-bottom: solid red;
	}
}

.rsl__player {
	@include portrait() {
		@include flex(row, flex-start);
		width: 100%;
		margin-buttom: .5rem;
	}
	@include landscape() {
		@include flex(column, flex-start, $shrink: 0);
		width: 12%;
		max-width: 100px;
		min-width: 80px;
		height: 100%;
		margin-left: .5rem;
	}
}
.rsl__player-audio {}
.rsl__icon {
	position: relative;
	top: 2px;
}

.rsl__btn {
	border: solid 1px #f1f1f1;
  background: white;
  font-size: 1rem;
	margin-bottom: .5rem;
	cursor: pointer;
	@include mobile() {
		cursor: none;
	}
	outline: none;
	&:active, focus, hover {
		border-color: blue;
		background-color: white;
	}
}
.rsl__player-pause {}
.rsl__player-radio {
	min-height: 30%;
	border: dashed 1px #f1f1f1;
	padding: .2rem;
}
</style>
